org.jfree.chart.title

## Class CompositeTitle

- java.lang.Object
- - org.jfree.chart.block.AbstractBlock
  - - org.jfree.chart.title.Title
    - - org.jfree.chart.title.CompositeTitle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Block, Drawable

      public class CompositeTitle
      extends Title
      implements java.lang.Cloneable, java.io.Serializable

  A title that contains multiple titles within a `BlockContainer`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.chart.title.Title

      `DEFAULT_HORIZONTAL_ALIGNMENT, DEFAULT_PADDING, DEFAULT_POSITION, DEFAULT_VERTICAL_ALIGNMENT, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeTitle()` Creates a new composite title with a default border arrangement.
    `CompositeTitle(BlockContainer container)` Creates a new title using the specified container.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Size2D` | `arrange(java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the contents of the block, within the given constraints, and returns the block size.
    `void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the title on a Java 2D graphics device (such as the screen or a printer).
    `java.lang.Object` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.
    `boolean` | `equals(java.lang.Object obj)` Tests this title for equality with an arbitrary object.
    `java.awt.Paint` | `getBackgroundPaint()` Returns the background paint.
    `BlockContainer` | `getContainer()` Returns the container holding the titles.
    `void` | `setBackgroundPaint(java.awt.Paint paint)` Sets the background paint and sends a `TitleChangeEvent` to all registered listeners.
    `void` | `setTitleContainer(BlockContainer container)` Sets the title container.

    - ### Methods inherited from class org.jfree.chart.title.Title

      `addChangeListener, clone, getHorizontalAlignment, getNotify, getPosition, getVerticalAlignment, hashCode, isVisible, notifyListeners, removeChangeListener, setHorizontalAlignment, setNotify, setPosition, setVerticalAlignment, setVisible`

    - ### Methods inherited from class org.jfree.chart.block.AbstractBlock

      `arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, getBorder, getBounds, getContentXOffset, getContentYOffset, getFrame, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBorder, setBounds, setFrame, setHeight, setID, setMargin, setMargin, setPadding, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.chart.block.Block

      `arrange, getBounds, getID, setBounds, setID`

- - ### Constructor Detail

    - #### CompositeTitle

          public CompositeTitle()

      Creates a new composite title with a default border arrangement.

    - #### CompositeTitle

          public CompositeTitle(BlockContainer container)

      Creates a new title using the specified container.
      Parameters:
        `container` - the container (`null` not permitted).

  - ### Method Detail

    - #### getBackgroundPaint

          public java.awt.Paint getBackgroundPaint()

      Returns the background paint.
      Returns:
        The paint (possibly `null`).
      Since:
        1.0.11

    - #### setBackgroundPaint

          public void setBackgroundPaint(java.awt.Paint paint)

      Sets the background paint and sends a `TitleChangeEvent` to all registered listeners. If you set this attribute to `null`, no background is painted (which makes the title background transparent).
      Parameters:
        `paint` - the background paint (`null` permitted).
      Since:
        1.0.11

    - #### getContainer

          public BlockContainer getContainer()

      Returns the container holding the titles.
      Returns:
        The title container (never `null`).

    - #### setTitleContainer

          public void setTitleContainer(BlockContainer container)

      Sets the title container.
      Parameters:
        `container` - the container (`null` not permitted).

    - #### arrange

          public Size2D arrange(java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

      Arranges the contents of the block, within the given constraints, and returns the block size.
      Specified by:
        `arrange` in interface `Block`
      Overrides:
        `arrange` in class `AbstractBlock`
      Parameters:
        `g2` - the graphics device.
        `constraint` - the constraint (`null` not permitted).
      Returns:
        The block size (in Java2D units, never `null`).

    - #### draw

          public void draw(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D area)

      Draws the title on a Java 2D graphics device (such as the screen or a printer).
      Specified by:
        `draw` in interface `Drawable`
      Specified by:
        `draw` in class `Title`
      Parameters:
        `g2` - the graphics device.
        `area` - the area allocated for the title.

    - #### draw

          public java.lang.Object draw(java.awt.Graphics2D g2,
                                       java.awt.geom.Rectangle2D area,
                                       java.lang.Object params)

      Draws the block within the specified area.
      Specified by:
        `draw` in interface `Block`
      Parameters:
        `g2` - the graphics device.
        `area` - the area.
        `params` - ignored (`null` permitted).
      Returns:
        Always `null`.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this title for equality with an arbitrary object.
      Overrides:
        `equals` in class `Title`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.